[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# RightBStr

Copy a given number of characters (bytes), counting from the right of a string.

## Declaration

Source position: strutils.pp line 66

`function RightBStr(`
`const AText: AnsiString;`
`const AByteCount: Integer`
`):AnsiString;`

## Arguments

`AText` |  | String to copy characters from.
`AByteCount` |  | Number of characters (bytes) to copy.

## Function result

Resulting string.

## Description

RightBStr returns a string containing the rightmost AByteCount bytes from the string AText. If AByteCount is larger than the length (in bytes) of AText, only as many bytes as available are returned.

## Errors

None.

## See also

LeftBStr |  | Copies Count characters starting at the left of a string.
AnsiRightStr |  | Copies a number of characters starting at the right of a string
RightStr |  | Copy a given number of characters, counting from the right of a string.
MidBStr |  | Copies a number of characters starting at a given position in a string.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.